%global commit   bba347be4ca18c6ef6c2a67cdb6a0eef26eb6ad7
%global date     20200316

%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global distprefix  %{?date:.%{date}git%{shortcommit}}
%global gitver      %{?date:-%{date}git%{shortcommit}}

%global bus_name org.freedesktop.impl.portal.desktop.wlr

Name:           xdg-desktop-portal-wlr
Version:        0
Release:        0.3%{?dist}
Summary:        xdg-desktop-portal backend for wlroots

License:        MIT
URL:            https://github.com/emersion/%{name}
Source0:        xdg-desktop-portal-wlr.bba347b.tar.gz
Source1:        %{name}.desktop

Patch1001:      0001-Add-D-Bus-and-systemd-service-files.patch
Patch1002:      0002-Install-binary-to-libexec.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  systemd-rpm-macros

BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pipewire-devel
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
BuildRequires:  pkgconfig(wayland-scanner)

Requires:       dbus
Requires:       xdg-desktop-portal

%if 0%{?fedora}
Supplements:    (sway and (flatpak or snapd))
%endif

%description
%{summary}.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install
desktop-file-install                           \
    --dir=%{buildroot}%{_datadir}/applications \
    %{SOURCE1}


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files
%license LICENSE
%doc README.md
%{_libexecdir}/%{name}
%{_datadir}/xdg-desktop-portal/portals/wlr.portal
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/%{bus_name}.service
%{_userunitdir}/%{name}.service


%changelog
* Mon Mar 23 2020 Ben Metzger <bmetzger97@gmail.com> - 0-0.3.20200316gitbba347b
- pipewire 0.3 support

* Mon Mar 16 2020 Aleksei Bavshin <alebastr89@gmail.com> - 0-0.3.20200313git4569963
- New snapshot with screencast support

* Fri Feb 21 2020 Aleksei Bavshin <alebastr89@gmail.com> - 0-0.1.20191209gita9e904a
- Initial package
